VERSION 5.00
Object = "{B68EC213-82B3-11D5-85C7-000083628378}#3.3#0"; "CoolFlex.ocx"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   5490
   ClientLeft      =   1815
   ClientTop       =   2415
   ClientWidth     =   11040
   LinkTopic       =   "Form1"
   ScaleHeight     =   5490
   ScaleWidth      =   11040
   Begin VB.CommandButton cmdHideCol 
      Caption         =   "Hide Col 3"
      Height          =   330
      Left            =   9660
      TabIndex        =   12
      Top             =   5040
      Width           =   1275
   End
   Begin VB.CommandButton cmdHideRow 
      Caption         =   "Hide Row 3"
      Height          =   330
      Left            =   8295
      TabIndex        =   11
      Top             =   5040
      Width           =   1275
   End
   Begin VB.CommandButton cmdSort 
      Caption         =   "Sort"
      Height          =   330
      Left            =   1470
      TabIndex        =   10
      Top             =   5040
      Width           =   1275
   End
   Begin VB.CommandButton cmdMouse 
      Caption         =   "Where is Mouse"
      Height          =   330
      Left            =   105
      TabIndex        =   9
      Top             =   5040
      Width           =   1275
   End
   Begin VB.CommandButton cmdText 
      Caption         =   "Get Cell Text"
      Height          =   330
      Left            =   2835
      TabIndex        =   8
      Top             =   5040
      Width           =   1275
   End
   Begin VB.CommandButton cmdClearCbo1 
      Caption         =   "Clear cbo 1"
      Height          =   330
      Left            =   1470
      TabIndex        =   7
      Top             =   4620
      Width           =   1275
   End
   Begin VB.CommandButton cmdCboCount 
      Caption         =   "cbo 5 Count"
      Height          =   330
      Left            =   4200
      TabIndex        =   6
      Top             =   4620
      Width           =   1275
   End
   Begin VB.CommandButton cmdLockGrid 
      Caption         =   "Lock Grid"
      Height          =   330
      Left            =   8295
      TabIndex        =   5
      Top             =   4620
      Width           =   1275
   End
   Begin VB.CommandButton cmdClearGrid 
      Caption         =   "Clear Grid"
      Height          =   330
      Left            =   105
      TabIndex        =   4
      Top             =   4620
      Width           =   1275
   End
   Begin VB.CommandButton cmdGridLines 
      Caption         =   "Grid Lines"
      Height          =   330
      Left            =   9660
      TabIndex        =   3
      Top             =   4620
      Width           =   1275
   End
   Begin VB.CommandButton cmdClearCbo5 
      Caption         =   "Clear cbo 5"
      Height          =   330
      Left            =   2835
      TabIndex        =   2
      Top             =   4620
      Width           =   1275
   End
   Begin VB.CommandButton cmdCboRemove 
      Caption         =   "Remove Item from cbo 5"
      Height          =   330
      Left            =   5565
      TabIndex        =   1
      Top             =   4620
      Width           =   2640
   End
   Begin CoolFlexGrid.CoolFlex CoolFlex1 
      Height          =   4425
      Left            =   105
      TabIndex        =   0
      Top             =   105
      Width           =   10830
      _ExtentX        =   19103
      _ExtentY        =   7805
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
    With Me.CoolFlex1
             
        .Cols = 8
        .Rows = 8
        
        'Turn editing on
        .EditEnable = True
        .EditTextLenght = 50
        
        'use this method to turn sorting on or off when the user clicks on the header column
        .SortOnHeaderClick True, SortGenericAscending
        
        'set column 1 to type Combobox
        .ColType 1, eCombobox
        'add 4 items to the column 1 combobox and set each items itemdata
        .ComboBoxAddItem 1, "Col1Item1"
        .ComboBoxItemData(1, 0) = 11111
        .ComboBoxAddItem 1, "Col1Item2"
        .ComboBoxItemData(1, 1) = 22222
        .ComboBoxAddItem 1, "Col1Item3"
        .ComboBoxItemData(1, 2) = 33333
        .ComboBoxAddItem 1, "Col1Item4"
        .ComboBoxItemData(1, 3) = 44444
        
        'set column 3 to type Checkbox
        .ColType 3, eCheckbox
        
        'set column 1 to type Combobox
        .ColType 5, eCombobox
        'add 6 items to the column 5 combobox
        .ComboBoxAddItem 5, "Col5Item1"
        .ComboBoxAddItem 5, "Col5Item2"
        .ComboBoxAddItem 5, "Col5Item3"
        .ComboBoxAddItem 5, "Col5Item4"
        .ComboBoxAddItem 5, "Col5Item5"
        .ComboBoxAddItem 5, "Col5Item6"
        
        'set column 7 to type Checkbox
        .ColType 7, eCheckbox
              
        .ColWidth(7) = 20
        
              
    End With
End Sub

Private Sub cmdCboCount_Click()
    'gets item count for column 5 combobox
    MsgBox CoolFlex1.ComboBoxListCount(5)
End Sub

Private Sub cmdCboRemove_Click()
    'removex an item from column 5 combobox
    Dim x As Integer
    x = InputBox("What item do you want to remove from combobox column 5? (remember its 0 indexed)")
    CoolFlex1.ComboBoxRemoveItem 5, x
End Sub

Private Sub cmdClearCbo1_Click()
    'clears all items from column 1 combobox
    CoolFlex1.ComboBoxClear 1
End Sub

Private Sub cmdClearCbo5_Click()
    'clears all items from column 5 combobox
    CoolFlex1.ComboBoxClear 5
End Sub

Private Sub cmdClearGrid_Click()
    'clears whole grid
    CoolFlex1.Clear
End Sub

Private Sub cmdGridLines_Click()
    'changes grid line property
    Static x As Boolean
    If x = False Then
        CoolFlex1.GridLines = GridNone
        x = True
    Else
        CoolFlex1.GridLines = GridFlat
        x = False
    End If
End Sub

Private Sub cmdLockGrid_Click()
    'shows how to enable and disable grid
    If cmdLockGrid.Caption = "Lock Grid" Then
        CoolFlex1.GridEnabled = False
        cmdLockGrid.Caption = "UnlockGrid"
    Else
        CoolFlex1.GridEnabled = True
        cmdLockGrid.Caption = "LockGrid"
    End If
End Sub

'this method used used to hide and unhide a column
'One thing though, it does not work well with column that have checkboxes in them.
'the checkbox picture does not go away
Private Sub cmdHideCol_Click()
    If cmdHideCol.Caption = "Hide Col 3" Then
        CoolFlex1.HideCol(3) = True
        cmdHideCol.Caption = "Unhide Col 3"
    Else
        CoolFlex1.HideCol(3) = False
        cmdHideCol.Caption = "Hide Col 3"
    End If
End Sub

'this method used used to hide and unhide a row.
'One thing though, it does not work well with rows that have checkboxes in them.
'the checkbox picture does not go away
Private Sub cmdHideRow_Click()
    If cmdHideRow.Caption = "Hide Row 3" Then
        CoolFlex1.HideRow(3) = True
        cmdHideRow.Caption = "Unhide Row 3"
    Else
        CoolFlex1.HideRow(3) = False
        cmdHideRow.Caption = "Hide Row 3"
    End If
End Sub

'Event that fires when a cells checkbox is clicked
Private Sub CoolFlex1_CellCheckBoxClick(ColIndex As Long, Value As Integer)
    'MsgBox "checkbox was clicked"
End Sub

'Event that fires when a cells combobox is clicked
Private Sub CoolFlex1_CellComboBoxClick(ColIndex As Long, Value As String)
    'MsgBox "combobox was clicked"
End Sub

Private Sub cmdMouse_Click()
    'return row,col cord of mouse
    MsgBox CoolFlex1.MouseRow & ", " & CoolFlex1.MouseCol
End Sub

Private Sub cmdSort_Click()
    'sorts current column
    CoolFlex1.Sort = SortGenericAscending
End Sub

Private Sub cmdText_Click()
    'two ways to get cell text
    MsgBox CoolFlex1.Text
    MsgBox CoolFlex1.TextMatrix(2, 2)
End Sub

